// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface OrderDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.OrderDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string user_name = 1;</code>
   */
  java.lang.String getUserName();
  /**
   * <code>optional string user_name = 1;</code>
   */
  com.google.protobuf.ByteString
      getUserNameBytes();

  /**
   * <code>optional string order_id = 2;</code>
   */
  java.lang.String getOrderId();
  /**
   * <code>optional string order_id = 2;</code>
   */
  com.google.protobuf.ByteString
      getOrderIdBytes();

  /**
   * <code>optional string currency_pair = 3;</code>
   */
  java.lang.String getCurrencyPair();
  /**
   * <code>optional string currency_pair = 3;</code>
   */
  com.google.protobuf.ByteString
      getCurrencyPairBytes();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 4;</code>
   */
  int getSideValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 4;</code>
   */
  com.accelfin.server.demo.fx.dtos.SideDto getSide();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.OrderTypeDto type = 5;</code>
   */
  int getTypeValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.OrderTypeDto type = 5;</code>
   */
  com.accelfin.server.demo.fx.dtos.OrderTypeDto getType();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 6;</code>
   */
  boolean hasNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 6;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 6;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getNotionalOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto submitted_rate = 7;</code>
   */
  boolean hasSubmittedRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto submitted_rate = 7;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getSubmittedRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto submitted_rate = 7;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getSubmittedRateOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto submitted_at = 8;</code>
   */
  boolean hasSubmittedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto submitted_at = 8;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getSubmittedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto submitted_at = 8;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getSubmittedAtOrBuilder();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.OrderStatusDto status = 9;</code>
   */
  int getStatusValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.OrderStatusDto status = 9;</code>
   */
  com.accelfin.server.demo.fx.dtos.OrderStatusDto getStatus();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 10;</code>
   */
  boolean hasExecutedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 10;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getExecutedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 10;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getExecutedAtOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto executed_rate = 11;</code>
   */
  boolean hasExecutedRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto executed_rate = 11;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getExecutedRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto executed_rate = 11;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getExecutedRateOrBuilder();
}
